## com.google.appengine.api.memcache
Class StrictErrorHandler

    java.lang.Object
      com.google.appengine.api.memcache.StrictErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class StrictErrorHandler

extends java.lang.Object
implements ErrorHandler

A strict error handler, which will throw `MemcacheServiceException` or `InvalidValueException` for any service error condition.

Constructor Summary
`StrictErrorHandler()`

Method Summary
`void` `handleDeserializationError(InvalidValueException t)` Throws `InvalidValueException` for any call.
`void` `handleServiceError(MemcacheServiceException t)` Throws `MemcacheServiceException` for any call.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrictErrorHandler

    public StrictErrorHandler()

Method Detail

### handleDeserializationError

    public void handleDeserializationError(InvalidValueException t)

  Throws `InvalidValueException` for any call.

  Specified by:
    `handleDeserializationError` in interface `ErrorHandler`
  Parameters:
    `t` - the classpath error exception
  Throws:
    `MemcacheServiceException` - for any service error.

### handleServiceError

    public void handleServiceError(MemcacheServiceException t)

  Throws `MemcacheServiceException` for any call.

  Specified by:
    `handleServiceError` in interface `ErrorHandler`
  Parameters:
    `t` - the service error exception
  Throws:
    `MemcacheServiceException` - for any service error.